Subject: Re: [PATCH 000/606] i2c: Complete conversion to i2c_probe_new

From: Lee Jones <[email-masked]>
Date: Mon, 21 Nov 2022 09:53:05 +0000

On Fri, 18 Nov 2022, Uwe Kleine-König wrote:

> Hello,
> 
> since commit b8a1a4cd5a98 ("i2c: Provide a temporary .probe_new()
> call-back type") from 2016 there is a "temporary" alternative probe
> callback for i2c drivers.

Oh yeah, this!  Thanks for picking this up Uwe, I guess I've been
distracted for the past 6 years or so. :)

> This series completes all drivers to this new callback (unless I missed
> something). It's based on current next/master.
> A part of the patches depend on commit 662233731d66 ("i2c: core:
> Introduce i2c_client_get_device_id helper function"), there is a branch that
> you can pull into your tree to get it:
> 
> 	https://git.kernel.org/pub/scm/linux/kernel/git/wsa/linux.git i2c/client_device_id_helper-immutable
> 
> I don't think it's feasable to apply this series in one go, so I ask the
> maintainers of the changed files to apply via their tree. I guess it
> will take a few kernel release iterations until all patch are in, but I
> think a single tree creates too much conflicts.
> 
> The last patch changes i2c_driver::probe, all non-converted drivers will
> fail to compile then. So I hope the build bots will tell me about any
> driver I missed to convert. This patch is obviously not for application
> now.
> 
> I dropped most individuals from the recipents of this mail to not
> challenge the mail servers and mailing list filters too much. Sorry if
> you had extra efforts to find this mail.

[...]

>  drivers/mfd/88pm800.c                            |  5 ++---
>  drivers/mfd/88pm805.c                            |  5 ++---
>  drivers/mfd/aat2870-core.c                       |  5 ++---
>  drivers/mfd/act8945a.c                           |  5 ++---
>  drivers/mfd/adp5520.c                            |  6 +++---
>  drivers/mfd/arizona-i2c.c                        |  6 +++---
>  drivers/mfd/as3711.c                             |  5 ++---
>  drivers/mfd/as3722.c                             |  5 ++---
>  drivers/mfd/atc260x-i2c.c                        |  5 ++---
>  drivers/mfd/axp20x-i2c.c                         |  5 ++---
>  drivers/mfd/bcm590xx.c                           |  5 ++---
>  drivers/mfd/bd9571mwv.c                          |  5 ++---
>  drivers/mfd/da903x.c                             |  6 +++---
>  drivers/mfd/da9052-i2c.c                         |  6 +++---
>  drivers/mfd/da9055-i2c.c                         |  5 ++---
>  drivers/mfd/da9062-core.c                        |  6 +++---
>  drivers/mfd/da9063-i2c.c                         |  6 +++---
>  drivers/mfd/da9150-core.c                        |  5 ++---
>  drivers/mfd/khadas-mcu.c                         |  5 ++---
>  drivers/mfd/lm3533-core.c                        |  5 ++---
>  drivers/mfd/lp3943.c                             |  4 ++--
>  drivers/mfd/lp873x.c                             |  5 ++---
>  drivers/mfd/lp87565.c                            |  5 ++---
>  drivers/mfd/lp8788.c                             |  4 ++--
>  drivers/mfd/madera-i2c.c                         |  6 +++---
>  drivers/mfd/max14577.c                           |  6 +++---
>  drivers/mfd/max77620.c                           |  6 +++---
>  drivers/mfd/max77693.c                           |  6 +++---
>  drivers/mfd/max77843.c                           |  6 +++---
>  drivers/mfd/max8907.c                            |  5 ++---
>  drivers/mfd/max8925-i2c.c                        |  5 ++---
>  drivers/mfd/max8997.c                            |  6 +++---
>  drivers/mfd/max8998.c                            |  6 +++---
>  drivers/mfd/mc13xxx-i2c.c                        |  6 +++---
>  drivers/mfd/menelaus.c                           |  5 ++---
>  drivers/mfd/menf21bmc.c                          |  4 ++--
>  drivers/mfd/palmas.c                             |  5 ++---
>  drivers/mfd/pcf50633-core.c                      |  5 ++---
>  drivers/mfd/rc5t583.c                            |  5 ++---
>  drivers/mfd/retu-mfd.c                           |  4 ++--
>  drivers/mfd/rk808.c                              |  5 ++---
>  drivers/mfd/rohm-bd718x7.c                       |  5 ++---
>  drivers/mfd/rsmu_i2c.c                           |  6 +++---
>  drivers/mfd/rt5033.c                             |  5 ++---
>  drivers/mfd/sec-core.c                           |  5 ++---
>  drivers/mfd/si476x-i2c.c                         |  6 +++---
>  drivers/mfd/sky81452.c                           |  5 ++---
>  drivers/mfd/stmfx.c                              |  5 ++---
>  drivers/mfd/stmpe-i2c.c                          |  5 +++--
>  drivers/mfd/stpmic1.c                            |  5 ++---
>  drivers/mfd/stw481x.c                            |  5 ++---
>  drivers/mfd/tc3589x.c                            |  6 +++---
>  drivers/mfd/ti-lmu.c                             |  5 +++--
>  drivers/mfd/tps6105x.c                           |  5 ++---
>  drivers/mfd/tps65010.c                           |  6 +++---
>  drivers/mfd/tps6507x.c                           |  5 ++---
>  drivers/mfd/tps65086.c                           |  5 ++---
>  drivers/mfd/tps65090.c                           |  5 ++---
>  drivers/mfd/tps65218.c                           |  5 ++---
>  drivers/mfd/tps6586x.c                           |  5 ++---
>  drivers/mfd/tps65910.c                           |  6 +++---
>  drivers/mfd/tps65912-i2c.c                       |  5 ++---
>  drivers/mfd/twl-core.c                           |  5 +++--
>  drivers/mfd/twl6040.c                            |  5 ++---
>  drivers/mfd/wl1273-core.c                        |  5 ++---
>  drivers/mfd/wm831x-i2c.c                         |  6 +++---
>  drivers/mfd/wm8350-i2c.c                         |  5 ++---
>  drivers/mfd/wm8400-core.c                        |  5 ++---
>  drivers/mfd/wm8994-core.c                        |  6 +++---

For my own reference (apply this as-is to your sign-off block):

  Acked-for-MFD-by: Lee Jones <[email-masked]>

>  drivers/video/backlight/adp8860_bl.c             |  6 +++---
>  drivers/video/backlight/adp8870_bl.c             |  6 +++---
>  drivers/video/backlight/arcxcnn_bl.c             |  4 ++--
>  drivers/video/backlight/bd6107.c                 |  5 ++---
>  drivers/video/backlight/lm3630a_bl.c             |  5 ++---
>  drivers/video/backlight/lm3639_bl.c              |  5 ++---
>  drivers/video/backlight/lp855x_bl.c              |  5 +++--
>  drivers/video/backlight/lv5207lp.c               |  5 ++---
>  drivers/video/backlight/tosa_bl.c                |  5 ++---
>  drivers/video/fbdev/matrox/matroxfb_maven.c      |  5 ++---

For my own reference (apply this as-is to your sign-off block):

  Acked-for-Backlight-by: Lee Jones <[email-masked]>

-- 
Lee Jones [李琼斯]